#!/usr/bin/env python

#-----------------------------------------------------------------------
# echo.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import os
import parseargs

#-----------------------------------------------------------------------

def main():

    # Write the response headers to stdout.
    print('Content-type: text/html; charset=utf-8')
    print()

    # Write the beginning of the response body to stdout.
    print('<!DOCTYPE html>')
    print('<html>')
    print('<body>')

    # Fetch the argument string from the QUERY_STRING environment
    # variable.
    args_str = os.environ.get('QUERY_STRING', '')

    # Fetch the line to be echoed from the argument string.
    args = parseargs.parse(args_str)
    line_to_be_echoed = args.get('line', None)

    # Write the line to be echoed to stdout.
    if line_to_be_echoed is not None:
        print('<p>This is the line that you entered:</p>')
        print('<p>' + line_to_be_echoed + '</p>')
    else:
        print('<p>You did not enter a line.</p>')

    # Write the end of the response body to stdout.
    print('</body>')
    print('</html>')

if __name__ == '__main__':
    main()
